import { d as defineEventHandler, u as useLogger, g as getRouterParam, c as createError, E as Event, P as Place, T as Tag, t as setHeader, v as eventToAP } from '../../../nitro/nitro.mjs';
import 'luxon';
import '@sequelize/core';
import 'html-to-text';
import 'zod';
import 'crypto';
import 'node:fs';
import 'sharp';
import 'path';
import 'node:stream';
import 'jsdom';
import 'dompurify';
import 'mime-types';
import 'fs';
import 'fs/promises';
import 'linkify-html';
import '@peertube/http-signature';
import 'jsonld';
import 'lodash.intersection';
import 'email-templates';
import 'node:http';
import 'node:https';
import 'node:crypto';
import 'node:events';
import 'node:buffer';
import 'node:path';
import 'vue';
import 'vue-router';
import 'dotenv';
import 'url';
import 'bcryptjs';
import 'slugify';
import 'umzug';
import 'consola';
import '@sequelize/core/decorators-legacy';
import 'util';
import 'mitt';
import 'ical.js';
import 'node:url';
import 'fast-xml-parser';

const _id_ = defineEventHandler(async (evt) => {
  const log = useLogger("");
  const id = Number(getRouterParam(evt, "id"));
  log.debug("[FEDI] Get event");
  if (!id) {
    throw createError({ statusCode: 400, statusMessage: "Bad request." });
  }
  const event = await Event.findByPk(id, { include: [Place, Tag] });
  if (!event) {
    log.warn(`[FEDI] Place ${id} not found`);
    throw createError({ statusCode: 404 });
  }
  setHeader(evt, "Content-Type", "application/activity+json; charset=utf-8");
  return eventToAP(event);
});

export { _id_ as default };
